
#ifndef REPLACEDLGIMPL_H
#define REPLACEDLGIMPL_H

#include "replacedlg.h"

class TQDialog;

class ReplaceDlgImpl : public ReplaceDlg
{
    TQ_OBJECT
  

public:
    ReplaceDlgImpl(TQWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0 );
    ~ReplaceDlgImpl();

    TQRegExp expressionPattern();
    TQString replacementString();

public slots:
    void show( TQString const & path );

protected:

protected slots:
    void showRegExpEditor();
    void validateExpression( const TQString & );
    void validateFind( const TQString & );
    void toggleExpression( bool );
    void saveComboHistories();

private:
    TQDialog * _regexp_dialog;

};

#endif

